## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 23
%bcond_without check
%global debug_package %{nil}

%global crate tokio-uring

Name:           rust-tokio-uring
Version:        0.4.0
Release:        %autorelease
Summary:        Io-uring support for the Tokio asynchronous runtime

License:        MIT
URL:            https://crates.io/crates/tokio-uring
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
Patch:          tokio-uring-fix-metadata.diff
# * upstream patch to avoid setting unsupported flags for Unix domain sockets:
#   backport of https://github.com/tokio-rs/tokio-uring/pull/325
Patch:          0001-UnixListener-do-not-set-unsupported-reuse_port-flag.patch

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Io-uring support for the Tokio asynchronous runtime.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/DESIGN.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bytes-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bytes-devel %{_description}

This package contains library source intended for building other packages which
use the "bytes" feature of the "%{crate}" crate.

%files       -n %{name}+bytes-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * restrict test suite to one thread to match upstream test settings
%cargo_test -- -- --test-threads 1
%endif

%changelog
## START: Generated by rpmautospec
* Fri Feb 21 2025 Fabio Valentini <decathorpe@gmail.com> - 0.4.0-6
- Avoid setting unsupported flags for Unix domain sockets

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Feb 03 2023 Fabio Valentini <decathorpe@gmail.com> - 0.4.0-1
- Update to version 0.4.0

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Nov 19 2022 Fabio Valentini <decathorpe@gmail.com> - 0.3.0-2
- Restrict test suite to one thread to match upstream test settings

* Fri Nov 18 2022 Fabio Valentini <decathorpe@gmail.com> - 0.3.0-1
- Initial import (#2138425)
## END: Generated by rpmautospec
